> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an entity's risk level scorecard

> Get current risk level of an entity from fraud or transaction monitoring.



## OpenAPI

````yaml /specs/KYT-V2-Transaction-Monitoring.json get /entities/{entityId}/risk
openapi: 3.0.3
info:
  version: 2.0.0
  title: KYT V2 Transaction Monitoring
  description: >
    The Fraud and Transaction Monitoring API is designed to accept the full
    details of a transaction, process it, and provide recommendations. 


    The API can analyse the details by comparing them against past history and
    other data, and run all of these through a set of sophisticated rules.
    Afterwards, you can get a recommendation as to whether a transaction should
    be allowed to proceed, proceed with a warning, be held for investigation, or
    be rejected, outright.


    The service is designed to respond in realtime to support modern,
    high-speed, high-volume financial transaction services.


    **We also hold open the option of accepting existing message formats and we
    will transform those in real time, mapping the details to our own internal
    structure for a consistent experience and results.**


    Please speak with your FrankieOne account manager should you wish us to
    assist with this.


    Access to the API and keys available on request.


    ## Glossary


    **Check** - A transaction assessment that execute against the API, this
    represents an event that has happened and wants to verified for risk.


    **Result** - A categorized risk factor returned for a transaction check,
    these are returned from the configured upstream vendors and represent the
    different factors of the transaction's risk profile.


    **Transaction** - An activity that an end user has performed, the type of
    the activity is based on the activityType property.


    **Alert** - A result that has come from a transaction check that meets the
    criteria defined for your configuration. This represents a result that was
    returned that requires the attention of someone in your organization.


    **Entity** - A FrankieOne entity, this can be representative of a business,
    person or construct that exists within the FrankieOne Platform.
  contact:
    email: help@frankieone.com
servers:
  - url: https://api.kycaml.frankiefinancial.io/transaction/v2
    description: Production API Base URL
  - url: https://api.kycaml.uat.frankiefinancial.io/transaction/v2
    description: UAT Environment API Base URL
security:
  - apiKey: []
tags:
  - name: Status
    description: >-
      Service status operations you can use to make sure things are up and
      running.
  - name: Transactions
    description: >-
      Operations that are associated with the execution of a transaction risk
      assessment
  - name: Alerts
    description: Operations that are associated with alerts
  - name: Risk
    description: Operations associated with risk assessment for an entity
paths:
  /entities/{entityId}/risk:
    get:
      tags:
        - Risk
      summary: Get an entity's risk level scorecard
      description: >-
        Get current risk level of an entity from fraud or transaction
        monitoring.
      operationId: fetchEntityRisk
      parameters:
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/EntityIdParam'
      responses:
        '200':
          description: Response from the GET /entity/{entityId}/risk endpoint
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityRisk'
        '401':
          $ref: '#/components/responses/401Unauthorized'
        '404':
          $ref: '#/components/responses/404NotFound'
        '500':
          $ref: '#/components/responses/500InternalServerError'
      security:
        - apiKey: []
components:
  parameters:
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    EntityIdParam:
      required: true
      description: Unique identifier of a FrankieOne entity
      in: path
      name: entityId
      schema:
        $ref: '#/components/schemas/EntityId'
  schemas:
    EntityRisk:
      type: object
      properties:
        overall:
          $ref: '#/components/schemas/EntityOverallRisk'
        factors:
          $ref: '#/components/schemas/EntityRiskFactors'
        issues:
          $ref: '#/components/schemas/EntityRiskIssues'
    EntityId:
      type: string
      description: The unique identifier for a FrankieOne entity construct
      example: 98ded7ac-2457-4bde-b27c-fcee05301262
    EntityOverallRisk:
      type: object
      properties:
        aml:
          $ref: '#/components/schemas/OverallRiskLevel'
        fraud:
          $ref: '#/components/schemas/OverallRiskLevel'
        firstCheckDate:
          description: Date timestamp of the First Check
          type: string
          format: datetime
          example: 2006-01-02T15:04:05-0700
        lastUpdated:
          description: Timestamp that the risk was last updated
          type: string
          format: datetime
          example: 2006-01-02T15:04:05-0700
    EntityRiskFactors:
      type: object
      properties:
        aml:
          type: array
          items:
            $ref: '#/components/schemas/RiskLevelFactor'
        fraud:
          type: array
          items:
            $ref: '#/components/schemas/RiskLevelFactor'
    EntityRiskIssues:
      description: >-
        Results that have been evaluated for this entity, the lack of Result
        object value for a Result Type indicates that a check has been done for
        a transaction resulting in that result being produced
      type: array
      items:
        $ref: '#/components/schemas/RiskResultType'
    ServiceError:
      type: object
      properties:
        commit:
          type: string
          description: Unique identifier of the Service version being used
        requestId:
          $ref: '#/components/schemas/RequestId'
        errorCode:
          type: string
          description: FrankieOne error code
          example: CORE-5990
        errorMsg:
          type: string
          description: Will describe the error
          example: Everything went kaflooey. Stay clam.
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorIssue'
    OverallRiskLevel:
      type: object
      properties:
        rating:
          type: number
          description: Numerical rating of the overall risk
          example: 2.3
        level:
          $ref: '#/components/schemas/EnumRiskLevel'
    RiskLevelFactor:
      type: object
      properties:
        name:
          type: string
          description: Name of the Risk Factor
        description:
          type: string
          description: Descriptive text that details the factor
        rating:
          type: number
          description: Numerical rating of the risk factor
          example: 3.4
        level:
          $ref: '#/components/schemas/EnumRiskLevel'
        count:
          type: integer
          description: >-
            Count value of risk factor, evaluated based on the all data points
            provided for this factor
          example: 10
    RiskResultType:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/EnumRiskIssueType'
        activities:
          type: array
          items:
            $ref: '#/components/schemas/EnumActivityType'
        lastUpdated:
          description: The datetime for when the result type of the issue was updated
          type: string
          format: datetime
          example: 2006-01-02T15:04:05-0700
        dateCreated:
          description: The datetime for when the result type was first detected
          type: string
          format: datetime
          example: 2006-01-02T15:04:05-0700
    RequestId:
      type: string
      format: ulid
      minLength: 26
      maxLength: 26
      description: >-
        Unique identifier assigned by FrankieOne for every request. Can be used
        for tracking down answers with technical support. Uses the ULID format
        (a time-based, sortable UUID) example: 01BFJA617JMJXEW6G7TDDXNSHX
    ErrorIssue:
      type: object
      required:
        - issueLocation
        - issue
      properties:
        issueLocation:
          type: string
          description: Will describe the field or data location of the issue
          example: date_of_birth
        issue:
          type: string
          description: Description of the problem
          example: Invalid format. Must be YYYY-MM-DD
    EnumRiskLevel:
      type: string
      description: Level of risk as determined by the service.
      example: MEDIUM
      enum:
        - NONE
        - LOW
        - MEDIUM
        - HIGH
        - VERY_HIGH
    EnumRiskIssueType:
      type: string
      description: Enum of the risk issue type that flags an issue with the entity.
      enum:
        - TXN_AML
        - TXN_FRAUD
    EnumActivityType:
      type: string
      description: Type of the activity that was used for the check
      enum:
        - REGISTRATION
        - LOGIN
        - FIAT_WITHDRAWAL
        - FIAT_DEPOSIT
        - CRYPTO_WITHDRAWAL
        - CRYPTO_DEPOSIT
  responses:
    401Unauthorized:
      description: >
        The request has failed an authorisation check. This can happen for a
        variety of reasons, such as an invalid or expired API key, or invalid
        Customer/CustomerChildIDs.


        * NOTE: This does not include attempts to read/write data you don't have
        access to - that's a 404 error (as we don't want to leak information
        through guessing)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ServiceError'
    404NotFound:
      description: >
        Cannot return response. In the case of a query, or reference to a
        specific entity/check/others, it means that the requested item was not
        found, or you don't have access to it. Please check your query before
        trying again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ServiceError'
    500InternalServerError:
      description: >
        The system is presently unavailable, running in a severely degraded
        state or an unexpected error occurred. 

        Check the error message for details
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ServiceError'
  securitySchemes:
    apiKey:
      type: apiKey
      name: apiKey
      description: API key issued by FrankieOne. This will rotate regularly.
      in: header

````